SLICKSDDM-CUSTOMIZE(1)

NAME
slicksddm-customize - manual page for slicksddm-customize 1.0.0

SYNOPSIS
slicksddm-customize [OPTION]...

DESCRIPTION
Interactive customization tool for the slickSDDM theme. Modify theme.conf settings without manual editing.

OPTIONS

-i, --interactive
    Launch interactive configuration wizard

-s, --set KEY=VALUE
    Set a single configuration value

-g, --get KEY
    Get current value for a key

-l, --list
    List all current configuration settings

-r, --reset
    Reset to default configuration

--reset-section SEC
    Reset a specific section to defaults

-b, --backup
    Create backup of current configuration

--restore FILE
    Restore configuration from backup

-t, --theme NAME
    Specify theme name (default: ubuntu-budgie-login)

-d, --theme-dir DIR
    Specify theme directory

--dry-run
    Show what would be changed without applying

--no-backup
    Don't create automatic backup

-v, --verbose
    Enable verbose output

-h, --help
    Display this help and exit

-V, --version
    Display version information and exit

  Interactive Mode:

    The interactive mode (-i) provides a menu-driven interface to customize:

    - General settings (scale, animations) - Lock screen appearance - Login screen layout - Colors and fonts - Menu buttons and popups - Virtual keyboard - Tooltips

FILES

    /usr/share/sddm/themes/ubuntu-budgie-login/theme.conf

    Main theme configuration file

    /home/dad/.config/sddm-theme-backups/

    Automatic backup storage location

    /usr/share/doc/sddm-themes/CUSTOMIZATION.md

    Complete customization reference

EXAMPLES

    slicksddm-customize -i

    Launch interactive configuration wizard

    slicksddm-customize --set "LoginScreen.LoginArea.Avatar/active-border-color=#ff0000"

    Set avatar border color to red

    slicksddm-customize --set "General/use-accounts-service-backgrounds=true"

    Enable per-user wallpapers from AccountsService

    slicksddm-customize --get "LockScreen/background"

    Display current lock screen background

    slicksddm-customize --list | grep color

    List all color-related settings

    slicksddm-customize --backup

    Create timestamped backup of current configuration

    slicksddm-customize --reset-section "LockScreen.Clock"

    Reset clock settings to defaults

    slicksddm-customize --theme custom-theme --dry-run --set "General/scale=1.5"

    Preview scale change for a different theme

  Configuration Keys:

    Keys follow the format: Section/key or Section.Subsection/key Examples:

    General/scale General/use-accounts-service-backgrounds LockScreen/background LoginScreen.LoginArea.Avatar/shape LoginScreen.MenuArea.Power/display

    Use --list to see all available keys.

REPORTING BUGS
Report bugs to: https://github.com/ubuntubudgie/slickSDDM/issues
Project home: https://ubuntubudgie.org

COPYRIGHT
Copyright © 2026 Ubuntu Budgie Developers License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for slicksddm-customize is maintained as a Texinfo manual. If the info and slicksddm-customize programs are properly installed at your site, the command

    info slicksddm-customize

should give you access to the complete manual.